<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="core-service.management.management-interface.http-interface" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allowed-origins,console-enabled,constant-headers,http-authentication-factory,http-upgrade,http-upgrade-enabled,sasl-protocol,secure-socket-binding,server-name,socket-binding,ssl-context"/>
        <elem name="addr-params" value="core-service,management-interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.http.extensible"/>
        <capability name="org.wildfly.management.http-interface"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.socket-binding.$secure-socket-binding" optional="true"/>
        <capability name="org.wildfly.network.socket-binding.$socket-binding" optional="true"/>
        <capability name="org.wildfly.security.http-authentication-factory.$http-authentication-factory" optional="true"/>
        <capability name="org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="core-service.management"/>
    </refs>
    <params>
        <param name="console-enabled" nillable="true" stability="default"/>
        <param name="allowed-origins" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="http-upgrade" nillable="true" stability="default"/>
        <param name="http-upgrade-enabled" nillable="true" stability="default"/>
        <param name="sasl-protocol" nillable="true" stability="default"/>
        <param name="ssl-context" nillable="true" stability="default"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="server-name" nillable="true" stability="default"/>
        <param name="http-authentication-factory" nillable="true" stability="default"/>
        <param name="socket-binding" nillable="true" stability="default"/>
        <param name="constant-headers" nillable="true" stability="default"/>
        <param name="management-interface" feature-id="true" default="http-interface"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="secure-socket-binding" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.jboss.as.domain-http-error-context"/>
    </packages>
</feature-spec>